
open Base
open Ast

exception TypeError of string * location

module Key = struct type t = string let compare = compare end
module Env = Map.Make(Key)

type profil = asa_typ list * asa_typ
type infoid = Typ of asa_typ | Prof of profil

let add_var x t vis = Env.add x (Typ t) vis
    
let add_fun f p vis = Env.add f (Prof p) vis

let check_program p = ()
